<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Fbclone_Widget_LandingPageController extends Engine_Content_Widget_Abstract {

  public function indexAction() {
    $this->view->leftsideimage = $this->_getParam('leftsideimage', '');
    $this->view->siteTitle = Engine_Api::_()->getApi('settings', 'core')->getSetting('core.general.site.title', 'My Community');
    $this->view->heading = $this->_getParam('heading', 'Welcome to our community! We\'re glad that you\'re here.');
		$fbclone_widget = Zend_Registry::isRegistered('fbclone_widget') ? Zend_Registry::get('fbclone_widget') : null;
    $this->view->description = $this->_getParam('description', 'Connect with your friends on our community.');
    $this->view->navigation = Engine_Api::_()->getApi('menus', 'core')->getNavigation('core_footer');
		if(empty($fbclone_widget))
			return $this->setNoRender();
  }
}
